### Class

# Fwupd JcatFile

#### Description

    final class Fwupd.JcatFile : GObject.Object
      implements Fwupd.Codec {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fwupd_jcat_file_new

Creates a new file.

since: 2.1.3

#### Instance methods

###### fwupd_jcat_file_add_item

Adds an item to a file.

since: 2.1.3

###### fwupd_jcat_file_export_bytes

Exports a FwupdJcat file to a compressed blob.

since: 2.1.3

###### fwupd_jcat_file_export_json

Exports a FwupdJcat file to raw JSON.

since: 2.1.3

###### fwupd_jcat_file_get_item_by_id

Finds the item with the specified ID, falling back to the ID alias if set.

since: 2.1.3

###### fwupd_jcat_file_get_item_default

Finds the default item. If more than one `FwupdJcatItem` exists this function will return with an error.

since: 2.1.3

###### fwupd_jcat_file_get_items

Returns all the items in the file.

since: 2.1.3

###### fwupd_jcat_file_get_version_major

Returns the major version number of the FwupdJcat specification.

since: 2.1.3

###### fwupd_jcat_file_get_version_minor

Returns the minor version number of the FwupdJcat specification.

since: 2.1.3

###### fwupd_jcat_file_import_bytes

Imports a compressed FwupdJcat file from a blob of data.

since: 2.1.3

###### fwupd_jcat_file_import_json

Imports a FwupdJcat file from raw JSON.

since: 2.1.3

###### fwupd_jcat_file_import_stream

Imports a compressed FwupdJcat file from a file.

since: 2.1.3

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

since: 2.0.0

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

since: 2.0.0

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

since: 2.0.0

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

since: 2.0.0

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

since: 2.0.0

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

since: 2.0.0

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

since: 2.0.0

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

since: 2.0.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdJcatFileClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.